const button = document.getElementById("gomb")

const etelNev = document.getElementById("etelNev")
const elkeszitesiIdo = document.getElementById("elkeszitesiIdo")
const hozzavalok = document.getElementById("hozzavalok")
const energia = document.getElementById("energia")
const feherje = document.getElementById("feherje")
const szenhidrat = document.getElementById("szénhidrát")
const zsir = document.getElementById("zsir")


button.addEventListener("click", () => {
    let adatok = {
        nev: etelNev.value,
        elkeszitesiIdo: parseInt(elkeszitesiIdo.value),
        hozzávalók: hozzavalok.value.split(", "),
        Tápérték: {
            energia: `${energia.value} kcal/adag`,
            fehérje: `${feherje.value} g/adag`,
            szénhidrát: `${szenhidrat.value} g/adag`,
            zsír: `${zsir.value} g/adag`,
        }
    }
    fetch("/feltoltes", {
        method: "POST",
        headers: {
            "Content-type": "application/json; charset=UTF-8"
        },
        body: JSON.stringify(adatok)
    })
    .then(response => response.json())
    .then(data => console.log(data))
})